// File author is Ítalo Lima Marconato Matias
//
// Created on December 18 of 2017, at 13:29 BRST
// Last edited on December 18 of 2017, at 22:01 BRST
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published
// by the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
// 
// You should have received a copy of the GNU Affero General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.

#ifndef __IDT_H__
#define __IDT_H__

#include <chicago/arch/registers.h>

Void IDTSetGate(UInt16 num, UInt32 base, UInt16 selector, UInt8 type);
Void IDTRegisterInterruptHandler(UInt8 num, PInterruptHandler handler);
Void IDTRegisterIRQHandler(UInt8 num, PInterruptHandler handler);
Void IDTUnregisterInterruptHandler(UInt8 num);
Void IDTUnregisterIRQHandler(UInt8 num);
Void IDTInit(Void);

#endif		// __IDT_H__
