// File author is Ítalo Lima Marconato Matias
//
// Created on December 18 of 2017, at 15:01 BRST
// Last edited on December 18 of 2017, at 15:01 BRST
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published
// by the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
// 
// You should have received a copy of the GNU Affero General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.

#ifndef __STRING_H__
#define __STRING_H__

#include <chicago/types.h>

PUInt8 MemoryCopy(PUInt8 dest, PUInt8 src, Int count);
PUInt8 MemorySet(PUInt8 dest, UInt8 val, Int count);
Int StringGetLength(Const PChar str);
Int MemoryCompare(Const PVoid m1, Const PVoid m2, Int count);
Int StringGetLength(Const PChar str);
Int StringCompare(Const PChar dest, PChar src);
PChar StringCopy(PChar dest, Const PChar src);
Void StringConcatenate(PChar dest, Const PChar src);
UInt32 LinearFind(PChar text, Char acc);
UInt32 StringSpan(PChar text, PChar ac);
PChar StringScan(PChar text, PChar ac);
PChar StringTokenize(PChar text, PChar delim, PChar* save);

#endif		// __STRING_H__
